Bug 103225 - Area dialog is too large
Summary: Area dialog is too large
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:5.4.0 target:5.3.0.2
Keywords:
: 104629 105156 (view as bug list)
Depends on:
Blocks: Area-Fill-Tab
  Show dependency treegraph
 
Reported: 2016-10-14 19:50 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-12-13 16:17 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Dialog in master,Build ID: 1011f99ed63b61d9f9a469388729fa7d1b5bf960 (77.02 KB, image/png)
2016-11-08 16:18 UTC, Heiko Tietze
Details
Screenshot with old resolution (131.31 KB, image/png)
2016-12-19 08:24 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2016-10-14 19:50:57 UTC
If you open the area dialog, its height is 726px

Version: 5.3.0.0.alpha0+
Build ID: 45a7137c6796f33fbf5b8f7cb64e293260d991cb
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-13_23:38:06
Locale: en-US (en_US.UTF-8); Calc: group

when it used to be 560px.

Version: 5.3.0.0.alpha0+
Build ID: e2f6c7f0d0cc14f851d7028ff846c5dc658a81c6
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-10-11_00:37:49
Locale: en-US (en_US.UTF-8); Calc: group

It must have crept in with https://gerrit.libreoffice.org/#/c/27866/
Comment 1 Yousuf Philips (jay) (retired) 2016-10-15 02:48:14 UTC
The width also has increased from 713px to 790px.

The area tab is in multiple dialogs and also distorts its size there as well.
Comment 2 Regina Henschel 2016-10-15 14:19:20 UTC
Or this https://gerrit.libreoffice.org/29725 ?
Comment 3 Katarina Behrens (Inactive) 2016-11-08 09:22:57 UTC
With this: 
https://gerrit.libreoffice.org/#/c/30692/

Height: 620 px
Width: 790 px

I can't go any lower with width otherwise the widgets esp. in pattern and gradient page will be cropped. Not my fault anymore, this is how you guys designed the dialog
Comment 4 Yousuf Philips (jay) (retired) 2016-11-08 11:27:56 UTC
(In reply to Katarina Behrens (CIB) from comment #3)
> I can't go any lower with width otherwise the widgets esp. in pattern and
> gradient page will be cropped. Not my fault anymore, this is how you guys
> designed the dialog

The middle/options column has stretchable controls, so we should easily be able to shrink that column down and have fixed widths for the left/preset and right/preview columns, or am i missing something.
Comment 5 Katarina Behrens (Inactive) 2016-11-08 13:48:38 UTC
And shrinking the height breaks things too (mkara tested it, this is how it looks like: http://i.imgur.com/PmCHOzv.png )

I suggest to close this as WONTFIX, it makes no sense whatsoever to design dialog too large and then go on complaining that oh my goodness, it is indeed too large
Comment 6 Heiko Tietze 2016-11-08 16:18:42 UTC
Created attachment 128580 [details]
Dialog in master,Build ID: 1011f99ed63b61d9f9a469388729fa7d1b5bf960

(In reply to Katarina Behrens (CIB) from comment #5)
> And shrinking the height breaks things too...

If we cannot reduce the height of the numerical steppers (guess the sliders are scaled equally, which is bad btw.), how about making the preview smaller (in all sections!) so that we can place '[ ] Automatic' left of the increment slider?

Attached screenshot is from W7 before any changes with 790x738px.
Comment 7 Yousuf Philips (jay) (retired) 2016-11-09 12:20:45 UTC
(In reply to Heiko Tietze from comment #6)
> Created attachment 128580 [details]
> Dialog in master,Build ID: 1011f99ed63b61d9f9a469388729fa7d1b5bf960

This is how it looks for me on my gtk2 build as well, so it seems the large size is only benefiting the gtk3 build.
Comment 8 Telesto 2016-12-16 12:51:22 UTC
*** Bug 104629 has been marked as a duplicate of this bug. ***
Comment 9 Heiko Tietze 2016-12-19 08:24:58 UTC
Created attachment 129763 [details]
Screenshot with old resolution

Freshly compiled against gtk3 with the old dialog resolution of 700x400px. I wonder how you come to this screenshot, @mkara. Any zoom factor?
Comment 10 Heiko Tietze 2017-01-08 10:32:02 UTC
*** Bug 105156 has been marked as a duplicate of this bug. ***
Comment 11 Commit Notification 2017-01-09 22:17:30 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=62a94dcf0c750e335d6ce272d8a5df9813910d5a

tdf#103225 revert setting of a fixed size for the dialog

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2017-01-10 04:00:55 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5dbeccbe96f1cace62665523e49b5e693839d265&h=libreoffice-5-3

tdf#103225 revert setting of a fixed size for the dialog

It will be available in 5.3.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2017-01-12 16:43:02 UTC
Tomaž Vajngerl committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=00db9f51215d11da3b27685a39ec940ecd65e387

tdf#103225 make AreaTab box fill to content

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.